Bug 253696 - Using gnokii and a CA42/usb cable functions with fc6 but not with fc7 kernel
Using gnokii and a CA42/usb cable functions with fc6 but not with fc7 kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-21 06:49 EDT by Martin Tarenskeen
Modified: 2008-01-11 12:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 12:33:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Two files test.fc6 and test.fc7 with testresults using 2.6.20 qnd 2.6.22 kernel (11.23 KB, application/x-gzip)
2007-08-21 06:49 EDT, Martin Tarenskeen
no flags Details
test.fc6 (26.35 KB, text/plain)
2007-08-21 12:07 EDT, Chuck Ebbert
no flags Details
test.fc7 (26.70 KB, text/plain)
2007-08-21 12:07 EDT, Chuck Ebbert
no flags Details
output of "strace -ostrace_gnokii.log gnokii --identify" (363.16 KB, text/plain)
2007-08-23 06:07 EDT, Martin Tarenskeen
no flags Details
output of "strace gnokii --identify" when using an older 2.6.20 kernel (from FC6): gnokii works ! (51.27 KB, text/plain)
2007-08-24 13:01 EDT, Martin Tarenskeen
no flags Details

  None (edit)
Description Martin Tarenskeen 2007-08-21 06:49:51 EDT
Description of problem:

I have a Nokia-6021 that I can connect to my Dell laptop via USB and a CA-42
canle using gnokii-0.6.14 software. This worked fine with Fedora Core 6. After
upgrading to Fedora 7 I'm having connection problems. I decided to install
kernel-2.6.20-1.2962.fc6 on my fc7 system next to the current fc7 kernel
version. Using grub I can select which kernel to use when booting. This way I
could make a comparison between the two. Conclusion: connection fails with
kernel-2.6.22.1-41.fc7 and succeeds with kernel-2.6.20-1.2962.fc6. 

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2962.fc6
kernel-2.6.22.1-41.fc7
gnokii-0.6.14-3.fc7

How reproducible:
Always

Steps to Reproduce:
1. connect Nokia 6021 phone with CA-42 cable to USB port
2. gnokii --identify
3. 
  
Actual results:

gnokii needs a lot of time for retries and then returns several "unknown" results.

Expected results:
gnokii should return phone model type number.

Additional info:
If you have installed also the older kernel version, it is possible to have
succes with FC7 kernel in one particular situation:
step 1: When booting the computer select the 2.6.20 kernel version from FC6.
step 2: connect the phone using gnokii and CA-42/usb cable. (works fine)
step 3: reboot the computer, keeping the phone and cable connected
step 4: now select kernel-2.6.22 from FC7 in the grub boot menu.
step 5: try gnokii --identify again: IT WORKS !!
step 6: disconnect the phone
step 7: re-connect the phone
step 8: try gnokii --identify again: IT FAILS AGAIN !

There seems to be some kind of problem with loading/unloading and initializing
the proper drivermodule(s) in FC7 ??

I have attached 2 logfiles.
Comment 1 Martin Tarenskeen 2007-08-21 06:49:51 EDT
Created attachment 161961 [details]
Two files test.fc6 and test.fc7 with testresults using 2.6.20 qnd 2.6.22 kernel
Comment 2 Martin Tarenskeen 2007-08-21 06:54:37 EDT
The test.fc6 and test.fc7 are packed in a tar.gz file.
Comment 3 Chuck Ebbert 2007-08-21 12:06:20 EDT
(In reply to comment #2)
> The test.fc6 and test.fc7 are packed in a tar.gz file.
> 

Don't do that.
Comment 4 Chuck Ebbert 2007-08-21 12:07:18 EDT
Created attachment 161989 [details]
test.fc6
Comment 5 Chuck Ebbert 2007-08-21 12:07:42 EDT
Created attachment 161990 [details]
test.fc7
Comment 6 Chuck Ebbert 2007-08-22 15:13:27 EDT
What does output of 'strace gnokii --identify' look like when it fails?
Comment 7 Martin Tarenskeen 2007-08-23 06:07:37 EDT
Created attachment 168573 [details]
output of "strace -ostrace_gnokii.log gnokii --identify"
Comment 8 Chuck Ebbert 2007-08-23 11:27:14 EDT
(In reply to comment #7)
> Created an attachment (id=168573) [edit]
> output of "strace -ostrace_gnokii.log gnokii --identify"
> 

Can you also post an strace from a working kernel?
(Should have asked for that earlier but forgot.)

Comment 9 Martin Tarenskeen 2007-08-24 13:01:13 EDT
Created attachment 172439 [details]
output of "strace gnokii --identify" when using an older 2.6.20 kernel (from FC6): gnokii works !
Comment 10 Christopher Brown 2007-09-26 04:34:57 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 11 Christopher Brown 2008-01-11 12:33:44 EST
As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

Note You need to log in before you can comment on or make changes to this bug.